Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.annotation
Interface LoadTimeWeavingConfigurer

    public interface LoadTimeWeavingConfigurer

Interface to be implemented by @`Configuration` classes annotated with @`EnableLoadTimeWeaving` that wish to customize the `LoadTimeWeaver` instance to be used.

See @`EnableAsync` for usage examples and information on how a default `LoadTimeWeaver` is selected when this interface is not used.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `LoadTimeWeavingConfiguration`, `EnableLoadTimeWeaving`

Method Summary
`LoadTimeWeaver` | `getLoadTimeWeaver()` Create, configure and return the `LoadTimeWeaver` instance to be used.

Method Detail

### getLoadTimeWeaver

    LoadTimeWeaver getLoadTimeWeaver()

  Create, configure and return the `LoadTimeWeaver` instance to be used. Note that it is unnecessary to annotate this method with `@Bean`, because the object returned will automatically be registered as a bean by `LoadTimeWeavingConfiguration.loadTimeWeaver()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD